GET
/
community
/
{guildId}
/
profile
/
{userId}
Error
A valid request URL is required to generate request examples
{
  "username": "<string>",
  "displayName": "<string>",
  "avatar": "<string>",
  "xp": 123,
  "level": 123,
  "currentLevelXp": 123,
  "nextLevelXp": 123,
  "badge": "<string>",
  "joinedAt": "2023-11-07T05:31:56Z",
  "stats": {
    "messagesSent": 123,
    "reactionsGiven": 123,
    "reactionsReceived": 123,
    "daysActive": 123
  },
  "projects": [
    {
      "id": 123,
      "title": "<string>",
      "description": "<string>",
      "tech": [
        "<string>"
      ],
      "repoUrl": "<string>",
      "liveUrl": "<string>",
      "upvotes": 123,
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "recentBadges": [
    {
      "name": "<string>",
      "description": "<string>"
    }
  ]
}

Path Parameters

guildId
string
required
userId
string
required

Response

User profile

username
string
displayName
string
avatar
string | null
xp
integer
level
integer
currentLevelXp
integer
nextLevelXp
integer
badge
string
joinedAt
string<date-time> | null
stats
object
projects
object[]
recentBadges
object[]